<div id="scroll-container">
  <div id="header">
    <app-background></app-background>
    <h1 class="h1-header">Welcome to the MdOA-Toolbox</h1>
    <p class="p-header">
      Explore Tools, Scripts and Knowledge Graphs for Metaomics Data.
    </p>
    <div class="see-more-container">
      <div class="text-container">
        <p class="transparent-text-box" (click)="scrollToSection1()">
          Explore our Tools
        </p>
        <button mat-icon-button (click)="scrollToSection1()">
          <mat-icon class="arrow-icon">keyboard_arrow_down</mat-icon>
        </button>
      </div>
      <div class="text-container">
        <p class="transparent-text-box" (click)="scrollToSection2()">
          Explore our Scripts
        </p>
        <button mat-icon-button (click)="scrollToSection2()">
          <mat-icon class="arrow-icon">keyboard_arrow_down</mat-icon>
        </button>
      </div>
      <div class="text-container">
        <p class="transparent-text-box" (click)="scrollToNewsfeed()">
          News and Updates
        </p>
        <button mat-icon-button (click)="scrollToNewsfeed()">
          <mat-icon class="arrow-icon">keyboard_arrow_down</mat-icon>
        </button>
      </div>
      <div class="text-container">
        <p class="transparent-text-box" (click)="scrollToVision()">
          Our Vision
        </p>
        <button mat-icon-button (click)="scrollToVision()">
          <mat-icon class="arrow-icon">keyboard_arrow_down</mat-icon>
        </button>
      </div>
    </div>
  </div>

  <div class="grid-container">
    <div id="section1" #section1>
      <div class="content-container">
        <div class="centered-content">
          <div class="h1-content">
            <h1>Our Tools</h1>
          </div>
          <section class="image-grid">
            <div class="GridWrapper" *ngFor="let tool of tools">
              <tool-card [toolData]="tool"></tool-card>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>

  <div class="grid-container">
    <div id="section2" #section2>
      <div class="content-container">
        <div class="centered-content">
          <div class="h1-content">
            <h1>Our Scripts</h1>
          </div>
          <section class="image-grid">
            <div class="GridWrapper" *ngFor="let script of scripts">
              <script-card [scriptData]="script"></script-card>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>

  <!-- <div id="section3" #section3 class="sectionscroll">
      <div class="content-container">
        <div class="centered-content">
          <div>
            <h1 class="h1-content">Our Knowledge Graphs</h1>
          </div>
          <section class="image-grid">
            <div class="GridWrapper" *ngFor="let knowgraph of knowgraphs">
              <tool-card [toolData]="knowgraph"></tool-card>
            </div>
          </section>
          <button class="top-distance" mat-raised-button color="accent">
            Overview Knowledge Graphs
          </button>
        </div>
      </div>
    </div> -->

  <div class="grid-container-news">
    <div id="comingsoon" #comingsoon>
      <div class="content-container">
        <div class="h1-content">
          <h1>Tools Coming Soon</h1>
        </div>
        <div class="image-grid-comingsoon">
          <div class="GridWrapper" *ngFor="let comingSoon of comingSoons">
            <coming-soon
              [toolData]="comingSoon"
            ></coming-soon>
            <!-- In coming soon when button is needed!: [showButton]="comingSoon.showButton" -->
          </div>
        </div>
      </div>
    </div>

    <div id="newsfeed" #newsfeed>
      <div class="news-container">
        <div class="transparent-box">
          <h1 class="h1-content">News Feed</h1>
          <update-list [updates]="updateList"></update-list>
        </div>
      </div>
    </div>
  </div>

  <div id="vision" #vision>
    <div class="content-container">
      <div class="h1-content">
        <h1>Our Vision - How our Tools work together</h1>
      </div>
      <img
        src=".\assets\extras\vision.svg"
        alt="Our Vision"
        class="vision-image"
      />
    </div>
  </div>
</div>
